Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Gateway Actions (Start / Stop)

Perform a lifecycle action on a gateway.

| action_type | Purpose | |---|---| | start | Start a stopped gateway | | stop | Stop a running gateway |

PUT/gateway/{gateway_id}/{action_type}/

Path parameters

  • gateway_idPathintegerrequired

    Gateway ID

  • action_typePathstringrequired

    Action to perform on the gateway.

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • locationQuerystringrequired

    Location

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

Request body

application/json

object

No request body required for start or stop.

Responses

200Action performed successfully on the gateway.
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSuccess